#ifndef CURVECOLLECTOR_H
#define CURVECOLLECTOR_H

#include "curve.h"

class CurveCollector
{
 public:
  CurveCollector();
  virtual ~CurveCollector();

  void setCurveType( int _type );
  int getCurveType() { return curve_type; };
  void startCurveCollection();
  Curve* getCollectedCurve() const { return m_curve; };
  void endCurveCollection();
  bool isActive();
  bool isCollecting();
  bool hasFinished();
  bool isUnlimited();
  int insertPoint( double _x, double _y );
  int addTempPoint( double _x, double _y );
  vector<Point> getDrawPoints();
  vector<Point> getPoints();
  void getBoundBox( double* xmin, double* xmax, double* ymin, double* ymax );
  void reset();
  void kill();

 private:
  int curve_type;
  Curve *m_curve;
  Point m_tempPt;
};

#endif // CURVECOLLECTOR_H
