#ifndef GEOMMODEL_H
#define GEOMMODEL_H

#include <vector>
#include <list>
using namespace std;

#include "curve.h"
#include "region.h"

class GeomModel
{
 public:
  GeomModel();
  ~GeomModel();
  bool isEmpty() { return( (m_curves.size() < 1) && (m_regions.size() < 1) ); }
  vector<Curve*> getCurves() { return m_curves; };
  vector<Region*> getRegions() { return m_regions; };
  void insertCurve( Curve* _curve );
  void delCurve( int curve_id );
  void delAllCurves();
  void delSelectedCurves();
  void delRegion( int region_id );
  void delAllRegions();
  void delSelectedRegions();
  void getBoundBox( double* _xmin, double* _xmax,
                    double* _ymin, double* _ymax );
  void selectPick( double _x, double _y, double _tol, bool _shiftkey );
  void selectFence( double _xmin, double _xmax,
                    double _ymin, double _ymax, bool _shiftkey );
  bool snapToCurve( double* _x, double* _y, double _tol );
  bool intersectTwoSelectedLines();
  void createRegion();
  void setNumSubdivOfSelectedCurves( int _nSdv );
  bool getNumSubdivOfFirstSelectedCurve( int* _nSdv );
  void generateMeshSelectedRegions( int _meshGenerationType );

 protected:
  vector<Curve*> m_curves;
  vector<Region*> m_regions;
};

#endif // GEOMMODEL_H
