#ifndef SIMPLEMESH_H
#define SIMPLEMESH_H

#include <QtGui/QMainWindow>
#include "ui_simplemesh.h"
#include "ui_snapgrid.h"
#include "ui_meshedge.h"
#include "ui_meshface.h"

class SimpleMesh : public QMainWindow
{
    Q_OBJECT

public:
    SimpleMesh(QWidget *parent = 0, Qt::WFlags flags = 0);
    ~SimpleMesh();

private slots:
    void on_actionSelect_triggered();
    void on_actionGrid_triggered();
    void on_actionLine_triggered();
    void on_actionDelete_triggered();
    void on_actionIntersect_triggered();
    void on_actionCreateRegion_triggered();
    void on_actionFit_triggered();
    void on_actionZoomIn_triggered();
    void on_actionZoomOut_triggered();
    void on_actionPanLeft_triggered();
    void on_actionPanRight_triggered();
    void on_actionPanDown_triggered();
    void on_actionPanUp_triggered();
    void on_actionBoundaryMesh_triggered();
    void on_actionDomainMesh_triggered();

private:
    Ui::SimpleMeshClass ui;
    Ui::GridDialog m_gridDlg; 
    QDialog *m_gridDialog;

};

#endif // SIMPLEMESH_H
